Bug 463243 (CVE-2008-4066) - CVE-2008-4066 Mozilla low surrogates stripped from JavaScript before execution
Summary: CVE-2008-4066 Mozilla low surrogates stripped from JavaScript before execution
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-4066
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: impact=moderate,source=mozilla,report...
Depends On:
Blocks: 460518 460519 460520
TreeView+ depends on / blocked
 
Reported: 2008-09-22 17:12 UTC by Josh Bressers
Modified: 2019-06-08 12:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-22 19:35:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0882 normal SHIPPED_LIVE Critical: seamonkey security update 2008-09-24 02:04:56 UTC
Red Hat Product Errata RHSA-2008:0908 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-10-01 15:35:17 UTC

Comment 1 Josh Bressers 2008-09-23 18:22:52 UTC
From MFSA 2008-43:
Security researcher Gareth Heyes reported an issue with the HTML parser in
which the parser ignored certain low surrogate characters if they were
HTML-escaped. This issue could potentially be used to bypass naive script
filtering and used in an XSS attack. This issue only affected Firefox 2.

Comment 2 Josh Bressers 2008-09-24 01:04:21 UTC
This is now public

Comment 3 Fedora Update System 2008-11-21 10:56:04 UTC
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-11-21 11:03:28 UTC
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.